[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StopIfProb |

`#include <vigra/random_forest/rf_earlystopping.hxx>`

Inheritance diagram for StopIfProb:

List of all members.

## Public Member Functions
| StopIfProb (double alpha, MultiArrayView< 2, double > nck_)
## Public Attributes
ArrayVector< double > | depths

## Detailed Description

Probabilistic Stopping criteria. (toChange)

Can only be used in a two class setting

Stop if the probability that the decision will change after seeing all trees falls under a specified value alpha. (Thesis, Rahul Nair Page 80 onwards: called the "toChange" criterion

## Constructor & Destructor Documentation

StopIfProb | ( | double | alpha,
|  | MultiArrayView< 2, double > | nck_ |
| ) |  |  |

Constructor

Parameters:

  | proportion | specify alpha value
  | nck_ | Matrix with precomputed values for n choose k nck_(n, k) is n choose k.

## Member Data Documentation

ArrayVector<double> depths

ArrayVector that will contain the fraction of trees that was visited before terminating

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_earlystopping.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)